Skip to main content
`Ctrl`+`K`

# PetscInitializeNoArguments

Calls `PetscInitialize()` from C/C++ without the command line arguments.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInitializeNoArguments(void) PeNS

Collective

## See Also

`PetscInitialize()`, `PetscInitializeFortran()`

## Level

advanced

## Location

src/sys/objects/pinit.c

## Examples

src/sys/tutorials/ex4f.F90

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages